.header-menu-button {
    display: none;
}

#main-menu{
    display: flex;
    gap: .5rem;
}

#main-menu,
#main-menu .sub-menu {
    padding: 0;
    margin: 0;
    list-style-type: none;
}

#main-menu li a {
    border-bottom: 1px transparent solid;
}

#main-menu>li {
    padding: 0;
}

#main-menu li.current-menu-item>a,
#main-menu li.current-menu-parent>a,
#main-menu li a:hover {
    border-color: var(--brand);
}

.front-page-header #main-menu li.current-menu-item>a,
.front-page-header #main-menu li.current-menu-parent>a {
    border-color: transparent;
}

.front-page-header #main-menu li a:hover {
    border-color: var(--brand);
}

#main-menu li a {
    display: block;
    font-size: 1.1rem;
    padding: 0.625rem;
}

#main-menu li a[href="#"] {
    pointer-events: none;
}

#main-menu .menu-item-has-children {
    padding-right: 14px;
    position: relative;
}

#main-menu .menu-item-has-children::after {
    content: '❯';
    font-size: 1rem;
    line-height: 1rem;
    position: absolute;
    top: calc(50% - .5rem);
    right: 0.2rem;
    color: var(--brand);
    transition: transform .3s;
    transform: rotate(90deg);
}

#main-menu .sub-menu {
    position: absolute;
    z-index: 97;
    top: 100%;
    left: -2rem;
    padding: 1.5rem 1rem .5rem;
    max-height: 70vh;
    background: var(--bg);
    white-space: nowrap;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
    border-radius: var(--border-radius);
    visibility: hidden;
    opacity: 0;
    transform: translateY(-1rem) scaleY(0);
    transform-origin: top;
    transition: all 0.3s ease-in-out;
}

#main-menu .sub-menu .sub-menu {
    left: 100%;
    top: 0;
}

#main-menu .sub-menu li {
    margin-bottom: .5rem;
}

#main-menu .sub-menu li a {
    color: var(--text);
}

#main-menu .menu-item-has-children:hover::after {
    transform: rotate(180deg);
}

#main-menu .menu-item-has-children:hover>.sub-menu {
    visibility: visible;
    opacity: 1;
    transform: translateY(0) scaleY(1);
}

@media (max-width: 1480px) {

    .header-menu-button,
    .header-contacts-button {
        background-color: var(--bg);
        padding: 0.25rem;
        border-radius: 0.5rem;
    }

    .header-buttons{
        margin-left: auto;
    }

    .header-menu-button {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 42px;
        height: 42px;
        border: 0;
        padding: 0;
        margin-left: 1rem;
    }

    .header-menu-button span,
    .header-menu-button span:before,
    .header-menu-button span:after {
        display: block;
        width: 24px;
        height: 4px;
        border-radius: 2px;
        background: var(--brand);
        transition: 0.3s;
    }

    .header-menu-button span {
        position: relative;
    }

    .header-menu-button span:before {
        content: "";
        position: absolute;
        bottom: 8px;
        left: 0;
    }

    .header-menu-button span:after {
        content: "";
        position: absolute;
        top: 8px;
        left: 0;
    }

    .header-menu-button.active span {
        background: transparent;
    }

    .header-menu-button.active span::before {
        bottom: 0;
        transform: rotate(45deg);
    }

    .header-menu-button.active span::after {
        top: 0;
        transform: rotate(-45deg);
    }

    #menu {
        position: fixed;
        top: 0;
        right: -250px;
        opacity: 0;
        overflow-y: auto;
        overflow-x: hidden;
        height: 100vh;
        width: 250px;
        z-index: 9;
        background-color: var(--bg);
        color: var(--text);
        box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
        padding: 1em;
        border-radius: var(--border-radius);
        transition: opacity .6s;
    }

    #menu.active {
        opacity: 1;
    }

    #main-menu {
        flex-direction: column;
        flex-wrap: nowrap;
        text-align: center;
        white-space: nowrap;
        overflow-y: hidden;
        scrollbar-color: var(--brand) var(--header-bg);
        scrollbar-width: thin;
        height: 100%;
        justify-content: flex-start;
    }

    #menu.active #main-menu {
        overflow-y: auto;
    }

    #main-menu li {
        padding: 0.625rem;
        background: var(--wrapper-bg);
        width: 100%;
    }

    #main-menu .sub-menu {
        top: 0;
        left: 0;
        opacity: 1 !important;
        visibility: visible !important;
        transform: translateY(0) scaleY(1) !important;
        position: relative;
        box-shadow: none;
        padding: 0.5rem;
        margin-top: 0.3125rem;
        /* border-right: 1px var(--text) solid; */
        border-radius: 0;
        max-height: none;
    }

    #main-menu .sub-menu .sub-menu {
        left: 0;
    }

    #main-menu .menu-item-has-children::after {
        display: none;
    }

    #main-menu .sub-menu li {
        margin-bottom: 0;
    }

    #site-body {
        transition: transform .3s;
    }

    #site-body.menu-active {
        transform: translateX(-250px);
    }
}

@media (max-width: 620px) {
    #menu {
        min-width: 50vw;
    }
}